jif.types

## Interface JifFieldInstance

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, polyglot.types.Declaration, polyglot.types.FieldInstance, JifVarInstance, polyglot.types.MemberInstance, java.io.Serializable, polyglot.types.TypeObject, polyglot.types.VarInstance
  All Known Implementing Classes:
    JifFieldInstance_c

      public interface JifFieldInstance
      extends polyglot.types.FieldInstance, JifVarInstance

  Jif field instance. A wrapper of all the type information related to a class field.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasInitializer()`
    `Param` | `initializer()`
    `ProviderLabel` | `provider()`
    `void` | `setHasInitializer(boolean hasInitializer)`
    `void` | `setInitializer(Param init)`

    - ### Methods inherited from interface polyglot.types.FieldInstance

      `constantValue, container, flags, name, notConstant, orig, type`

    - ### Methods inherited from interface polyglot.types.MemberInstance

      `container, flags, setContainer, setFlags`

    - ### Methods inherited from interface jif.types.JifVarInstance

      `label, setLabel, subst`

    - ### Methods inherited from interface polyglot.types.VarInstance

      `constantValue, constantValueSet, flags, isConstant, name, setConstantValue, setFlags, setName, setNotConstant, setType, type`

    - ### Methods inherited from interface polyglot.types.Declaration

      `declaration, setDeclaration`

- - ### Method Detail

    - #### hasInitializer

          boolean hasInitializer()

    - #### setHasInitializer

          void setHasInitializer(boolean hasInitializer)

    - #### initializer

          Param initializer()

    - #### setInitializer

          void setInitializer(Param init)

    - #### provider

          ProviderLabel provider()

      Returns:
        the provider label of the class declaring this field.